SoftwareService (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.SoftwareService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface SoftwareService

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  WindowsService

    public interface SoftwareService

extends LogicalElement

Persistable:
  false

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`long` | `getDate()`
`java.lang.String` | `getManufacturer()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`long` | `getSize()`
`java.lang.String` | `getSoftwareVersion()`
`boolean` | `hasDate()`
`boolean` | `hasManufacturer()`
`boolean` | `hasName()`
`boolean` | `hasPath()`
`boolean` | `hasSize()`
`boolean` | `hasSoftwareVersion()`
`void` | `setDate(long date)`
`void` | `setManufacturer(java.lang.String mfr)`
`void` | `setName(java.lang.String name)` Name and the primary key for the software service
`void` | `setPath(java.lang.String path)`
`void` | `setSize(long size)`
`void` | `setSoftwareVersion(java.lang.String version)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### setName

    void setName(java.lang.String name)

  Name and the primary key for the software service

  Parameters:
    `name` -

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setSize

    void setSize(long size)

  Throws:
    `AttributeNotSetException`

### getSize

    long getSize()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSize

    boolean hasSize()

### setDate

    void setDate(long date)

  Throws:
    `AttributeNotSetException`

### getDate

    long getDate()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDate

    boolean hasDate()

### setManufacturer

    void setManufacturer(java.lang.String mfr)

  Throws:
    `AttributeNotSetException`

### getManufacturer

    java.lang.String getManufacturer()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasManufacturer

    boolean hasManufacturer()

### setPath

    void setPath(java.lang.String path)

  Throws:
    `AttributeNotSetException`

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPath

    boolean hasPath()

### getSoftwareVersion

    java.lang.String getSoftwareVersion()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSoftwareVersion

    void setSoftwareVersion(java.lang.String version)

### hasSoftwareVersion

    boolean hasSoftwareVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD